Bug 217515 - new-printer dialog 'Forward' button can get stuck not sensitive
new-printer dialog 'Forward' button can get stuck not sensitive
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks: FC6Update 217516
  Show dependency treegraph
 
Reported: 2006-11-28 07:40 EST by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.45-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-05 18:55:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-11-28 07:40:05 EST
Description of problem:
The Forward button can get stuck not sensitive so that you have to press Cancel.

Version-Release number of selected component (if applicable):
0.7.40-1

How reproducible:
100%

Steps to Reproduce:
1.Click New Printer
2.Click Forward
3.Click Forward
4.Select 'Provide PPD file'
5.Click Back

Actual results:
Forward button stays stays not sensitive.

Expected results:
Forward button becomes sensitive.

Fix is:
--- system-config-printer.py    23 Nov 2006 09:08:26 -0000      1.130
+++ system-config-printer.py    28 Nov 2006 12:33:15 -0000
@@ -1712,3 +1712,3 @@
         if nr == 1: # Device
-            pass
+            self.btnNPForward.set_sensitive(True)
         if nr == 2: # Make/PPD file
Comment 1 Tim Waugh 2006-12-08 09:15:48 EST
Fixed in 0.7.41-1.fc6.
Comment 2 Fedora Update System 2007-01-05 13:20:28 EST
Fixed in update: system-config-printer-0.7.45-1.fc6

Note You need to log in before you can comment on or make changes to this bug.